/resource-profiles/detections#resourceArn
http://macie2.{region}.amazonaws.com/resource-profiles/detections#resourceArnRetrieves information about the types and amount of sensitive data that Amazon Macie found in an S3 bucket.
Query Params
The maximum number of items to include in each page of a paginated response.
The nextToken string that specifies which page of results to return in a paginated response.
The Amazon Resource Name (ARN) of the S3 bucket that the request applies to.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://macie2.{region}.amazonaws.com/resource-profiles/detections#resourceArn' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}